SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   ISO.WCX Vendors:   Oblomov, Sergey
iso_wincmd Plugin for Total Commander Buffer Overflow Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1017458
SecurityTracker URL:  http://securitytracker.com/id/1017458
CVE Reference:   CVE-2006-6837   (Links to External Site)
Updated:  May 20 2008
Original Entry Date:  Dec 30 2006
Impact:   Execution of arbitrary code via network, User access via network
Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): Tested on 1.6.10, 1.7.3.3
Description:   A vulnerability was reported in the iso_wincmd Plugin for Total Commander. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted ISO file that, when loaded by the target user, will trigger a stack overflow and execute arbitrary code on the target system. The code will run with the privileges of the target user.

The overflow occurs in the LoadTree() and ReadHeader() functions when constructing the full pathname of a file within an ISO image.

The vendor was notified on December 19, 2006.

The original advisory is available at:

http://vuln.sg/isowincmd173-en.html
http://vuln.sg/isowincmd173-jp.html

Tan Chew Keong of vuln.sg reported this vulnerability.

[Editor's note: The vulnerability resides in the 3rd party plugin product (ISO.WCX) and not in Total Commander.]

Impact:   A remote user can create an ISO file that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   No solution was available at the time of this entry.

The vendor plans to issue a fix at the end of January 2007.

Cause:   Boundary error
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  [vuln.sg] iso_wincmd Plugin for Total Commander Buffer Overflow

[vuln.sg] Vulnerability Research Advisory

iso_wincmd Plugin for Total Commander Buffer Overflow Vulnerability

by Tan Chew Keong
Release Date: 2006-12-30

Summary
-------
A vulnerability has been found in iso_wincmd Total Commander Plugin. When exploited, the vulnerability allows execution of arbitrary
 code when the user opens a malicious ISO file.

Tested Versions
---------------
iso_wincmd version 1.7.3.3 (1.7.3 Beta 3) and version 1.6.10.

Details
-------
http://vuln.sg/isowincmd173-en.html
http://vuln.sg/isowincmd173-jp.html

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC